classification
Title: difficult to parse sentence structure in "When an instance attribute is referenced that isn't a data attribute"
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.8, Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, miss-islington, r.david.murray, steven.downum, taleinat, terry.reedy, viorel
Priority: normal Keywords: easy, patch

Created on 2016-11-12 21:32 by viorel, last changed 2018-07-25 17:53 by taleinat. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 6208 merged Aaron Ang, 2018-03-24 06:48
PR 8461 merged miss-islington, 2018-07-25 14:21
PR 8462 merged miss-islington, 2018-07-25 14:22
PR 8469 merged miss-islington, 2018-07-25 17:32
Messages (9)
msg280671 - (view) Author: Viorel Tabara (viorel) Date: 2016-11-12 21:32
Method objects are explained at:

    https://docs.python.org/3/tutorial/classes.html#method-objects

I'd like to suggest a change from:

   When an instance attribute is referenced that isn’t a data attribute, its 
   class is searched. 

to something along this line:

   When an instance attribute --- that isn’t a data attribute --- is 
   referenced, the instance parent class will be searched.
msg280702 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2016-11-13 16:43
"instance parent class" is not terminology used in our docs as far as I remember.  "instance's class" would be more in line with the other docs.  That would solve the pronoun reference problem more succinctly, I think.

How about this version, which also improves the awkward phrasing, but without using em-dashes:

"When a non-data attribute of an instance is referenced, the instance's class is searched."
msg280708 - (view) Author: Viorel Tabara (viorel) Date: 2016-11-13 19:14
David, that sounds clear enough to me, thanks. However, English isn't my first 
language so I can't comment on the grammatical subtleties.
msg281151 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2016-11-18 17:38
David's wording looks good.
msg322355 - (view) Author: Tal Einat (taleinat) * (Python committer) Date: 2018-07-25 14:21
New changeset c0f0a7669c73c0d444851dd4c5299de2479214cc by Tal Einat (Aaron Ang) in branch 'master':
bpo-28677: Improve phrasing of when instance attribute is referenced (GH-6208)
https://github.com/python/cpython/commit/c0f0a7669c73c0d444851dd4c5299de2479214cc
msg322374 - (view) Author: miss-islington (miss-islington) Date: 2018-07-25 17:40
New changeset 1c8f6553ad5a7f97495972da8f35f4dabcb372d4 by Miss Islington (bot) in branch '2.7':
bpo-28677: Improve phrasing of when instance attribute is referenced (GH-6208)
https://github.com/python/cpython/commit/1c8f6553ad5a7f97495972da8f35f4dabcb372d4
msg322375 - (view) Author: miss-islington (miss-islington) Date: 2018-07-25 17:40
New changeset cfadd1c2421e13d76d588982147d4fbdc71d5527 by Miss Islington (bot) in branch '3.6':
bpo-28677: Improve phrasing of when instance attribute is referenced (GH-6208)
https://github.com/python/cpython/commit/cfadd1c2421e13d76d588982147d4fbdc71d5527
msg322377 - (view) Author: Tal Einat (taleinat) * (Python committer) Date: 2018-07-25 17:52
New changeset ec02c58f5a6fdb06b769f53255fcb5d393812160 by Tal Einat (Miss Islington (bot)) in branch '3.7':
bpo-28677: Improve phrasing of when instance attribute is referenced (GH-6208)
https://github.com/python/cpython/commit/ec02c58f5a6fdb06b769f53255fcb5d393812160
msg322378 - (view) Author: Tal Einat (taleinat) * (Python committer) Date: 2018-07-25 17:53
Thanks for the PR, Aaron!
History
Date User Action Args
2018-07-25 17:53:04taleinatsetstatus: open -> closed
versions: + Python 2.7, Python 3.6
messages: + msg322378

resolution: fixed
stage: patch review -> resolved
2018-07-25 17:52:21taleinatsetmessages: + msg322377
2018-07-25 17:40:36miss-islingtonsetmessages: + msg322375
2018-07-25 17:40:13miss-islingtonsetnosy: + miss-islington
messages: + msg322374
2018-07-25 17:32:48miss-islingtonsetpull_requests: + pull_request7993
2018-07-25 14:22:47miss-islingtonsetpull_requests: + pull_request7986
2018-07-25 14:21:54miss-islingtonsetpull_requests: + pull_request7985
2018-07-25 14:21:36taleinatsetnosy: + taleinat
messages: + msg322355
2018-03-24 06:48:53Aaron Angsetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request5952
2018-03-21 20:33:53steven.downumsetnosy: + steven.downum
2018-03-15 17:50:06cheryl.sabellasetkeywords: + easy
stage: needs patch
versions: + Python 3.7, Python 3.8
2016-11-18 17:38:57terry.reedysetnosy: + terry.reedy
messages: + msg281151
2016-11-13 19:14:21viorelsetmessages: + msg280708
2016-11-13 16:43:01r.david.murraysetnosy: + r.david.murray
messages: + msg280702
2016-11-12 21:32:17viorelcreate